DH_INSTALLINIT(1)

NOM
dh_installinit - Installer les fichiers de service « init » dans le répertoire de construction du paquet

SYNOPSIS
dh_installinit [options_de_debhelper] [--name=nom] [-n] [-R] [-r] [-d] [-- paramètres]

DESCRIPTION
dh_installinit est le programme de la suite debhelper chargé de l'installation des scripts init avec les fichiers par défaut associés, ainsi que les fichiers de tâche upstart et les fichiers de service systemd dans le répertoire de construction du paquet.

De plus, il produit automatiquement les lignes de code des scripts de maintenance postinst, postrm et prerm nécessaires à la configuration des liens symboliques dans /etc/rc*.d/ pour démarrer et arrêter des scripts d'initialisation.

FICHIERS

debian/paquet.init
    S'il existe, il est installé dans le répertoire de construction du paquet, sous etc/init.d/paquet.

debian/paquet.default
    S'il existe, il est installé dans le répertoire de construction du paquet, sous etc/default/paquet.

debian/paquet.upstart
    S'il existe, il est installé dans le répertoire de construction du paquet, sous etc/init/paquet.

debian/paquet.service
    S'il existe, il est installé dans le répertoire de construction du paquet, sous lib/systemd/system/paquet.service. Cela n'est utilisé que dans les modes de compatibilité 10 et inférieurs.

debian/paquet.tmpfile
    S'il existe, il est installé dans le répertoire de construction du paquet, sous usr/lib/tmpfiles.d/paquet.conf (les mécanismes tmpfiles.d ne sont pour l'instant utilisés que par systemd). Cela n'est utilisé que dans les modes de compatibilité 10 et inférieurs.

OPTIONS

-n, --no-scripts
    Empêche la modification des scripts de maintenance postinst, postrm, prerm.

-o, --only-scripts
    Modifie seulement les scripts de postinst, postrm et prerm. N'installe alors ni script init, ni fichier par défaut, ni tâche upstart, ni fichier de service systemd. Cela peut être utile si le fichier est inclus ou installé en amont d'une façon qui ne rend pas facile sa recherche par dh_installinit.

    Avertissement : cela court-circuitera toutes les vérifications habituelles et modifiera les scripts sans conditions. Vous voudrez certainement utiliser cela avec l'option -p pour limiter les paquets affectés par l'appel. Par exemple :

     override_dh_installinit:
            dh_installinit -ptoto --only-scripts
            dh_installinit --remaining

-R, --restart-after-upgrade
    N'arrête pas le script init tant que la mise à jour du paquet n'est pas terminée. C'est le comportement par défaut en compat 10.

    Dans les modes de compatibilité précédents, le comportement par défaut arrêtait le script lors du prerm et le redémarrait lors du postinst.

    Cela peut être utile pour les démons qui ne peuvent pas être arrêtés trop longtemps lors de la mise à jour. Mais, avant d'utiliser cette option, il faut s'assurer que ces démons ne seront pas perturbés par la mise à jour du paquet pendant leur fonctionnement.

--no-restart-after-upgrade
    Annule un précédent --restart-after-upgrade (ou le défaut du compat 10). Si aucune autre option n'est donnée, cela provoque l'arrêt du service dans le script prerm et son redémarrage dans le script postinst.

-r, --no-stop-on-upgrade, --no-restart-on-upgrade
    N'arrête pas le script init lors d'une mise à jour.

--no-start
    Empêche le lancement du script init lors de l'installation ou de la mise à jour, ainsi que l'arrêt lors de la suppression. Lance uniquement un update-rc.d. Utile pour les scripts rcS.

-d, --remove-d
    Enlève le d situé à la fin du nom du paquet et utilise le résultat pour nommer le fichier de tâche upstart, installé dans etc/init, et le script init, installé dans etc/init.d/, ainsi que pour nommer le fichier default, installé dans etc/default/. Cela peut être utile pour des démons dont le nom est terminé par d. Nota : Ce paramètre a priorité sur --init-script décrit ci-dessous.

-uparamètres --update-rcd-params=paramètres
-- paramètres
    Passe les paramètres indiqués à update-rc.d(8). Si rien n'est indiqué, defaults sera passé à update-rc.d(8).

--name=nom
    Installe le script init (et le fichier default) ainsi que le fichier de tâche upstart en utilisant le nom indiqué au lieu du nom du paquet. Quand ce paramètre est employé, dh_installinit recherche et installe des fichiers appelés debian/paquet.nom.init, debian/paquet.nom.default et debian/paquet.nom.upstart, au lieu des debian/paquet.init, debian/paquet.default et debian/paquet.upstart habituels.

--init-script=nom-du-script
    Utilise nom-du-script en tant que nom du script init dans etc/init.d/ et, si besoin est, comme nom du fichier « defaults ». Avec ce paramètre dh_installinit cherche dans le répertoire debian/ un fichier du genre paquet.nom-du-script et, s'il le trouve, l'installe en tant que script init à la place des fichiers qu'il installe habituellement.

    Ce paramètre est déconseillé. Il vaut mieux utiliser --name. Ce paramètre est incompatible avec l'utilisation des tâches upstart.

--error-handler=fonction
    Invoque la fonction indiquée d'interpréteur de commandes dans le cas où le script init échouerait. La fonction doit être décrite dans les scripts de maintenance prerm et postinst avant l'apparition de #DEBHELPER#.

REMARQUES
Nota : Ce programme n'est pas idempotent. Un dh_prep(1) doit être réalisé entre chaque exécution de ce programme. Sinon, il risque d'y avoir plusieurs occurrences des mêmes lignes de code dans les scripts de maintenance du paquet.

VOIR AUSSI
debhelper(7)

Ce programme fait partie de debhelper.

AUTEURS
Joey Hess <joeyh@debian.org>

Steve Langasek <steve.langasek@canonical.com>

Michael Stapelberg <stapelberg@debian.org>

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».